using System;
using System.Linq;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            long brojPec, visina;
            {
                string[] s = Console.ReadLine().Split();
                brojPec = long.Parse(s[0]);
                visina = long.Parse(s[1]);
            }
            long[] a = Console.ReadLine().Split().Select(x => long.Parse(x)).ToArray();
            bool exists = false;
            for (long i = 0; i < brojPec; i++)
            {
                if (a[i] <= visina)
                {
                    exists = true;
                    Console.WriteLine(i + 1);
                    break;
                }
            }
            if (!exists)
            {
                Console.WriteLine(-1);
            }
        }
    }
}